### Method

# Vips Image set_progress

#### Declaration [src]

    void
    vips_image_set_progress (
      VipsImage* image,
      gboolean progress
    )

#### Description [src]

Vips signals evaluation progress via the `VipsImage::preeval`, `VipsImage::eval` and `VipsImage::posteval` signals. Progress is signalled on the most-downstream image for which `vips_image_set_progress()` was called.

#### Parameters

`progress`

  Type: `gboolean`

  Turn progress reporting on or off.